Package org.eclipse.cdt.utils.cdtvariables

# Class SupplierBasedCdtVariableSubstitutor.ResolvedMacro

java.lang.Object
org.eclipse.cdt.core.cdtvariables.CdtVariable
org.eclipse.cdt.utils.cdtvariables.SupplierBasedCdtVariableSubstitutor.ResolvedMacro

All Implemented Interfaces:
  `ICdtVariable`

Enclosing class:
  SupplierBasedCdtVariableSubstitutor

protected class SupplierBasedCdtVariableSubstitutor.ResolvedMacro extends CdtVariable

## Field Summary

### Fields inherited from class org.eclipse.cdt.core.cdtvariables.CdtVariable

`fName, fStringListValue, fStringValue, fType`

### Fields inherited from interface org.eclipse.cdt.core.cdtvariables.ICdtVariable

`VALUE_PATH_ANY, VALUE_PATH_ANY_LIST, VALUE_PATH_DIR, VALUE_PATH_DIR_LIST, VALUE_PATH_FILE, VALUE_PATH_FILE_LIST, VALUE_TEXT, VALUE_TEXT_LIST`

## Constructor Summary

Constructors
Constructor
Description
`ResolvedMacro(String name)`
`ResolvedMacro(String name, String value)`
`ResolvedMacro(String name, String[] value)`
`ResolvedMacro(String name, String value, boolean isDefined)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getDelimiter()`
`String[]`
`getStringListValue()`
`String`
`getStringValue()`
`boolean`
`isDefined()`
`boolean`
`isList()`
`protected String`
`stringListToString(String[] values)`

### Methods inherited from class org.eclipse.cdt.core.cdtvariables.CdtVariable

`getName, getValueType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResolvedMacro

public ResolvedMacro(String name)

### ResolvedMacro

public ResolvedMacro(String name, String value, boolean isDefined)

### ResolvedMacro

public ResolvedMacro(String name, String value)

### ResolvedMacro

public ResolvedMacro(String name, String[] value)

## Method Details

### getStringValue

public String getStringValue() throws CdtVariableException

Specified by:
  `getStringValue` in interface `ICdtVariable`
Overrides:
  `getStringValue` in class `CdtVariable`
Throws:
  `CdtVariableException` - if macro holds StringList-type value

### getStringListValue

public String[] getStringListValue() throws CdtVariableException

Specified by:
  `getStringListValue` in interface `ICdtVariable`
Overrides:
  `getStringListValue` in class `CdtVariable`
Throws:
  `CdtVariableException` - if macro holds single String-type value

### getDelimiter

protected String getDelimiter()

### stringListToString

protected String stringListToString(String[] values) throws CdtVariableException

Throws:
  `CdtVariableException`

### isList

public boolean isList()

### isDefined

public boolean isDefined()